
%global meadversion 5.0.0
%global namedversion 5.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 4
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package expressly}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.0.0.redhat-00001

Name:           %{?scl_prefix}expressly
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Eclipse Expressly
Group:          Development/Java

%if %with mead
Source100: expressly-5.0.0.redhat-00001-project-sources.tar.gz
Source102: expressly-5.0.0.redhat-00001.jar
Source103: expressly-5.0.0.redhat-00001-javadoc.jar
Source104: expressly-5.0.0.redhat-00001-sources.jar
Source105: expressly-5.0.0.redhat-00001.pom
%endif

License:        EPL-2.0
URL:            https://projects.eclipse.org/projects/ee4j.jta
BuildArch:      noarch
BuildRoot:      %{_tmppath}/expressly-%{namedversion}-%{release}-root

%description
Jakarta Expression Language Implementation.

%if %with javadoc
%package javadoc
Summary:        Javadoc for expressly
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n expressly-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/expressly-%{namedversion}.jar %{buildroot}%{_javadir}/expressly-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/expressly-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/expressly-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/expressly-%{namedversion}-sources.jar %{buildroot}%{_javadir}/expressly-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/expressly-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/expressly-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/expressly-%{namedversion} -x META-INF/\*
%{__ln_s} expressly-%{namedversion} %{buildroot}%{_javadocdir}/expressly
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}expressly
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.md LICENSE.md NOTICE.md README.md
%{_javadir}/expressly-%{namedversion}.jar
%{_javadir}/expressly.jar
%if %with javadoc
%{_javadir}/expressly-%{namedversion}-javadoc.jar
%{_javadir}/expressly-javadoc.jar
%endif
%{_javadir}/expressly-%{namedversion}-sources.jar
%{_javadir}/expressly-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/expressly-%{namedversion}
%{_javadocdir}/expressly
%endif

%changelog
* Mon Jun 12 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.0.0-4.redhat_00001.1
- Built by CPaaS

* Fri Mar 03 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.0.0-3.M2_redhat_00001.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.0.0-2.M2_redhat_00001.1
- Built by CPaaS

* Sat Oct 08 2022 Yong Yang <yyang@redhat.com> - 5.0.0-1.M2_redhat_00001.1
- 5.0.0.M2-redhat-00001
